EntityAliases (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader
Interface EntityAliases

All Known Implementing Classes:
  ColumnEntityAliases, DefaultEntityAliases

    public interface EntityAliases

Metadata describing the SQL result set column aliases for a particular entity.

Method Summary
`String` | `getRowIdAlias()` The result set column alias for the Oracle row id
`String` | `getSuffixedDiscriminatorAlias()` The result set column aliases for the discriminator columns
`String[]` | `getSuffixedKeyAliases()` The result set column aliases for the primary key columns
`String[][]` | `getSuffixedPropertyAliases()` The result set column aliases for the property columns
`String[][]` | `getSuffixedPropertyAliases(Loadable persister)` The result set column aliases for the property columns of a subclass
`String[]` | `getSuffixedVersionAliases()` The result set column aliases for the version columns

Method Detail

### getSuffixedKeyAliases

    String[] getSuffixedKeyAliases()

  The result set column aliases for the primary key columns

### getSuffixedDiscriminatorAlias

    String getSuffixedDiscriminatorAlias()

  The result set column aliases for the discriminator columns

### getSuffixedVersionAliases

    String[] getSuffixedVersionAliases()

  The result set column aliases for the version columns

### getSuffixedPropertyAliases

    String[][] getSuffixedPropertyAliases()

  The result set column aliases for the property columns

### getSuffixedPropertyAliases

    String[][] getSuffixedPropertyAliases(Loadable persister)

  The result set column aliases for the property columns of a subclass

### getRowIdAlias

    String getRowIdAlias()

  The result set column alias for the Oracle row id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.